body {
    overflow: hidden;
    background: #000;
    padding: 0;
    margin: 0;
}

#map, .map, .block {
    transform-origin: 0 0;
}

.block {
    position: absolute;
}

.block-brick {
    background-image: url(img/brick.svg);
}

.beton-brick {
    background-image: url(img/beton.svg);
}

/* logic */

#map.x1 {
    position: absolute;
    will-change: transform;
    width: 1040px;
    height: 1040px;
    transform: translate(var(--tx), var(--ty)) scale(var(--scale));
}

#map.x1 .block {
    width: 40px;
    height: 40px;
    background-size: 40px 40px;
    transform: translate(var(--x), var(--y));
}

#map.x2 .map.l1 {
    position: absolute;
    will-change: transform;
    width: 640px;
    height: 640px;
    transform: translate(calc(var(--l1x) * var(--scale) + var(--tx)), calc(var(--l1y) * var(--scale) + var(--ty))) scale(calc(var(--scale) / 2));
}

#map.x2 .block {
    width: 80px;
    height: 80px;
    background-size: 80px 80px;
    transform: translate(calc(2 * (var(--x) - var(--l1x))), calc(2 * (var(--y) - var(--l1y))));
}

#map.x4 .map.l2 {
    position: absolute;
    will-change: transform;
    width: 320px;
    height: 320px;
    transform: translate(calc(var(--l2x) * var(--scale) + var(--tx)), calc(var(--l2y) * var(--scale) + var(--ty))) scale(calc(var(--scale) / 4));
}

#map.x4 .block {
    width: 160px;
    height: 160px;
    background-size: 160px 160px;
    transform: translate(calc(4 * (var(--x) - var(--l2x))), calc(4 * (var(--y) - var(--l2y))));
}

#map.x8 .block, #map.x16 .block, #map.x32 .block {
    will-change: transform;
}

#map.x8 .block {
    width: 320px;
    height: 320px;
    background-size: 320px 320px;
    transform: translate(calc(var(--x) * var(--scale) + var(--tx)), calc(var(--y) * var(--scale) + var(--ty))) scale(calc(var(--scale) / 8));
}

#map.x16 .block {
    width: 640px;
    height: 640px;
    background-size: 640px 640px;
    transform: translate(calc(var(--x) * var(--scale) + var(--tx)), calc(var(--y) * var(--scale) + var(--ty))) scale(calc(var(--scale) / 16));
}

#map.x32 .block {
    width: 1280px;
    height: 1280px;
    background-size: 1280px 1280px;
    transform: translate(calc(var(--x) * var(--scale) + var(--tx)), calc(var(--y) * var(--scale) + var(--ty))) scale(calc(var(--scale) / 32));
}
